## org.apache.mahout.cf.taste.impl.common
Class FullRunningAverageAndStdDev

    java.lang.Object
      org.apache.mahout.cf.taste.impl.common.FullRunningAverage
          org.apache.mahout.cf.taste.impl.common.FullRunningAverageAndStdDev

All Implemented Interfaces:
  java.io.Serializable, RunningAverage, RunningAverageAndStdDev

    public final class FullRunningAverageAndStdDev

extends FullRunningAverage
implements RunningAverageAndStdDev

Extends `FullRunningAverage` to add a running standard deviation computation.

See Also:
  Serialized Form

Constructor Summary
`FullRunningAverageAndStdDev()`

Method Summary
`void` `addDatum(double datum)`
`void` `changeDatum(double delta)`
`double` `getStandardDeviation()`
`void` `removeDatum(double datum)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.mahout.cf.taste.impl.common.FullRunningAverage
`getAverage, getCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.mahout.cf.taste.impl.common.RunningAverage
`getAverage, getCount`

Constructor Detail

### FullRunningAverageAndStdDev

    public FullRunningAverageAndStdDev()

Method Detail

### getStandardDeviation

    public double getStandardDeviation()

  Specified by:
    `getStandardDeviation` in interface `RunningAverageAndStdDev`
  Returns:
    standard deviation of data

### addDatum

    public void addDatum(double datum)

  Specified by:
    `addDatum` in interface `RunningAverage`
  Overrides:
    `addDatum` in class `FullRunningAverage`
  Parameters:
    `datum` - new item to add to the running average

### removeDatum

    public void removeDatum(double datum)

  Specified by:
    `removeDatum` in interface `RunningAverage`
  Overrides:
    `removeDatum` in class `FullRunningAverage`
  Parameters:
    `datum` - item to remove to the running average

### changeDatum

    public void changeDatum(double delta)

  Specified by:
    `changeDatum` in interface `RunningAverage`
  Overrides:
    `changeDatum` in class `FullRunningAverage`
  Parameters:
    `delta` - amount by which to change a datum in the running average
  Throws:
    `java.lang.UnsupportedOperationException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `FullRunningAverage`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.